Debian Bug report logs - #168776
ifupdown: Should accept more than one IPv6 address in /etc/network/interfaces

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Stephane Bortzmeyer <bortzmeyer@nic.fr>

Date: Tue, 12 Nov 2002 12:03:02 UTC

Severity: wishlist

Tags: ipv6, patch

Merged with 359618, 360155, 395826

Found in versions 0.6.4-4, ifupdown/0.6.7, ifupdown/0.6.5

Fixed in version ifupdown/0.7~alpha4

Done: Andrew Shadura <bugzilla@tut.by>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>, ifupdown@packages.qa.debian.org:
Bug#168776; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Stephane Bortzmeyer <bortzmeyer@nic.fr>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>, ifupdown@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephane Bortzmeyer <bortzmeyer@nic.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: Should accept more than one IPv6 address in /etc/network/interfaces
Date: Tue, 12 Nov 2002 12:50:52 +0100
Package: ifupdown
Version: 0.6.4-4
Severity: normal
Tags: patch

Multiple addresses per interface is a standard feature of IPv6 since
the beginning. ifupdown should not prevent it. I want to write:

iface eth0 inet6 static
        address FEC0:1:0:FF00::1
        netmask 64
        address 2001:0910::1
        netmask 64

(At the present time, I get:)

meowth:~ % sudo ifup eth0
/etc/network/interfaces:21: duplicate option
ifup: couldn't read interfaces file "/etc/network/interfaces"

Here is a patch which seems fine:

Date: Sat, 09 Nov 2002 00:40:24 +0900 (JST)
To: debian-ipv6@lists.debian.org
Subject: Re: How to have two static addresses on one interface?
From: YOSHIFUJI Hideaki / =?iso-2022-jp?B?GyRCNUhGIzFRTEAbKEI=?= <yoshfuji@linux-ipv6.org>
Organization: USAGI Project

In article <20021108143724.GA24844@nic.fr> (at Fri, 8 Nov 2002 15:37:24 +0100), Stephane Bortzmeyer <bortzmeyer@nic.fr> says:

> iface eth0 inet6 static
>         address FEC0:1:0:FF00::1
>         netmask 64
>         up ifconfig eth0 add 2001:0910::1/32
> 
> which does not seem very elegant: it hides the fact that none of the
> two addresses is "primary".

I've hacked source code.  how about this?

--- ifupdown-0.6.4/ifupdown.nw	Sat Nov  9 00:24:31 2002
+++ ifupdown-0.6.4-fix/ifupdown.nw	Sat Nov  9 00:35:57 2002
@@ -1761,6 +1761,7 @@
 static int duplicate_if(interface_defn *ifa, interface_defn *ifb) {
 	if (strcmp(ifa->iface, ifb->iface) != 0) return 0;
 	if (ifa->address_family != ifb->address_family) return 0;
+	if (strcmp(ifa->address_family->name, "inet6") == 0) return 0;
 	return 1;
 }
 @ 

-- 
Hideaki YOSHIFUJI @ USAGI Project <yoshfuji@linux-ipv6.org>
GPG FP: 9022 65EB 1ECF 3AD1 0BDF  80D8 4807 F894 E062 0EEA



-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux vespucci 2.4.18-686 #1 Sun Apr 14 11:32:47 EST 2002 i686
Locale: LANG=C, LC_CTYPE=fr_FR

Versions of packages ifupdown depends on:
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an
ii  net-tools                     1.60-4     The NET-3 networking toolkit











Severity set to `wishlist'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Pierre THIERRY <pierre.thierry@moine-fou.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: ipv6 Request was from Pierre THIERRY <pierre.thierry@moine-fou.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 168776 359618. Request was from RĂ©mi Denis-Courmont <rdenis@simphalempin.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:41 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:25 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:43 GMT) Full text and rfc822 format available.

Merged 168776 359618 360155. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:03 GMT) Full text and rfc822 format available.

Merged 168776 359618 360155 395826. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 11 Jan 2012 16:12:09 GMT) Full text and rfc822 format available.

Message #30 received at 395826-done@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Douglas Calvert <dfc@douglasfcalvert.net>, 395826-done@bugs.debian.org
Subject: Re: Bug#395826:
Date: Mon, 12 Nov 2012 23:12:15 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 12 Nov 2012 17:05:31 -0500
Douglas Calvert <dfc@douglasfcalvert.net> wrote:

> What is the status of this bug? It is six years old now?

Would be much easier to actually check :) It's been fixed a long time
ago.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Marked as fixed in versions ifupdown/0.7~alpha4. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Mon, 12 Nov 2012 22:21:03 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:27 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:42 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:35:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:26:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.